## $Id: batching.py 14995 2018-04-27 07:35:05Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Batch processing for applicants.
"""
from kofacustom.nigeria.applicants.batching import NigeriaApplicantProcessor
from waeup.kofa.applicants.batching import ApplicantOnlinePaymentProcessor
from kofacustom.esitm.applicants.interfaces import (
    ICustomApplicant,
    ICustomApplicantUpdateByRegNo,
    ICustomApplicantOnlinePayment
    )

class CustomApplicantProcessor(NigeriaApplicantProcessor):

    iface = ICustomApplicant
    iface_byregnumber = ICustomApplicantUpdateByRegNo

class CustomApplicantOnlinePaymentProcessor(ApplicantOnlinePaymentProcessor):
    """A batch processor for ICustomStudentOnlinePayment objects.
    """
    iface = ICustomApplicantOnlinePayment
